%global momorel 1

Summary:	Log-Log4perl module for perl 
Name:		perl-Log-Log4perl
Version:	1.23
Release:	%{momorel}m%{?dist}
License:	GPL
Group:		Development/Languages
Source0:	http://www.cpan.org/modules/by-module/Log/Log-Log4perl-%{version}.tar.gz
NoSource:	0
URL:		http://www.cpan.org/modules/by-module/Log/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq:	perl >= 1:5.8.8
BuildArch:	noarch
BuildRequires:	perl-IPC-Shareable
Requires:	perl-DBI
Requires:	perl-IPC-Shareable
Requires:	perl-Log-Dispatch
#Requires: perl-XML-DOM
# conflict with perl-libxml-enno

%description
Log-Log4perl module for perl

%prep
%setup -q -n Log-Log4perl-%{version} 

# Requires: exclude unversioned perl(Glib)
cat <<__EOF__ > %{name}-perl.req
#!/bin/sh
/usr/lib/rpm/perl.req \$* | grep -v '^perl(XML::DOM)$'
__EOF__
%define __perl_requires %{_builddir}/Log-Log4perl-%{version}/%{name}-perl.req
chmod +x %{__perl_requires}

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Log-Log4perl-%{version}-filelist
if [ "$(cat Log-Log4perl-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Log-Log4perl-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Sat May  16 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.23-1m)
- update to 1.23

* Mon May  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.22-1m)
- update to 1.22

* Sun Mar 29 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.20-2m)
- rebuild against rpm-4.6

* Sat Dec 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Thu Oct 30 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.19-1m)
- update to 1.19

* Wed Aug 27 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.18-1m)
- update to 1.18

* Sun Jul 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.17-1m)
- update to 1.17

* Wed May 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.16-1m)
- update to 1.16

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.15-4m)
- rebuild against gcc43

* Sat Feb 16 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.15-3m)
- delete Requires: perl-XML-DOM

* Thu Feb 14 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.15-2m)
- add Requires: perl-XML-DOM

* Thu Feb 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.15-1m)
- update to 1.15

* Fri Nov 23 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.14-1m)
- update to 1.14

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.12-1m)
- update to 1.12

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.11-1m)
- update to 1.11

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.10-2m)
- use vendor

* Wed Apr  4 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-1m)
- update to 1.10

* Sun Feb 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-1m)
- update to 1.09

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-1m)
- update to 1.08

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-1m)
- update to 1.07

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.06-1m)
- spec file was autogenerated
